<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_squareform.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_squareform" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_squareform</refname>
    <refpurpose>Convert a vector from the nan_pdist function into a square matrix or from a square matrix back to the vector form.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y = nan_squareform (x)
   y = nan_squareform (x, "tovector")
   y = nan_squareform (x,"tomatrix")
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
   </para>
   <para>
Convert a vector from the pdist function into a square matrix or from
a square matrix back to the vector form.
   </para>
   <para>
The second argument is used to specify the output type in case there
is a single element
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
Y=(1:6)'
X=nan_squareform(Y)
X  =

0.    1.    2.    3.
1.    0.    4.    5.
2.    4.    0.    6.
3.    5.    6.    0.
nan_squareform(X)
ans  =

1.
2.
3.
4.
5.
6.
   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_pdist">nan_pdist</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt - 2010</member>
   <member>Bill Denney bill@denney.ws</member>
   </simplelist>
</refsection>
</refentry>
